Loading...
Searching...
No Matches
itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType > Class Template Reference

`#include <itkGPUBSplineInterpolateImageFunction.h>`

## Detailed Description

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>
class itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >

GPU version of BSplineInterpolateImageFunction.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 45 of file itkGPUBSplineInterpolateImageFunction.h.

Inheritance diagram for itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass
using | GPUCoefficientImagePointer = typename GPUCoefficientImageType::Pointer
using | GPUCoefficientImageType = GPUImage<TCoefficientType, InputImageDimension>
using | GPUDataManagerPointer = typename GPUDataManager::Pointer
using | GPUSuperclass
using | Pointer = SmartPointer<Self>
using | Self = GPUBSplineInterpolateImageFunction
using | Superclass = GPUSuperclass
Public Types inherited from itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >
using | ConstPointer
using | ContinuousIndexType
using | CoordRepType
using | CPUSuperclass
using | GPUSuperclass
using | InputImageType
using | Pointer
using | Self

## Public Member Functions

virtual const char * | GetClassName () const
const GPUCoefficientImagePointer | GetGPUCoefficients () const
const GPUDataManagerPointer | GetGPUCoefficientsImageBase () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUBSplineInterpolateImageFunction)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
void | SetInputImage (const TInputImage *inputData) override
Public Member Functions inherited from itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >
| ITK_DISALLOW_COPY_AND_MOVE (GPUInterpolateImageFunction)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::GPUInterpolatorBase
virtual const char * | GetNameOfClass () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

bool | GetSourceCode (std::string &source) const override
| GPUBSplineInterpolateImageFunction ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUBSplineInterpolateImageFunction () override=default
Protected Member Functions inherited from itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >
GPUDataManager::Pointer | GetParametersDataManager () const override
| GPUInterpolateImageFunction ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUInterpolateImageFunction () override=default
Protected Member Functions inherited from itk::GPUInterpolatorBase
| GPUInterpolatorBase ()
virtual | ~GPUInterpolatorBase ()=default

## Private Attributes

GPUCoefficientImagePointer | m_GPUCoefficients {}
GPUDataManagerPointer | m_GPUCoefficientsImageBase {}
std::vector< std::string > | m_Sources {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUInterpolatorBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::ConstPointer = SmartPointer<const Self>

Definition at line 65 of file itkGPUBSplineInterpolateImageFunction.h.

## CPUSuperclass

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::CPUSuperclass

Initial value:
BSplineInterpolateImageFunction<TInputImage,
TCoordRep,
BSplineInterpolateImageFunction<TInputImage, TCoordRep, TCoefficientType>>

Definition at line 59 of file itkGPUBSplineInterpolateImageFunction.h.

## GPUCoefficientImagePointer

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GPUCoefficientImagePointer = typename GPUCoefficientImageType::Pointer

Definition at line 77 of file itkGPUBSplineInterpolateImageFunction.h.

## GPUCoefficientImageType

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GPUCoefficientImageType = GPUImage<TCoefficientType, InputImageDimension>

Definition at line 76 of file itkGPUBSplineInterpolateImageFunction.h.

## GPUDataManagerPointer

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GPUDataManagerPointer = typename GPUDataManager::Pointer

Definition at line 78 of file itkGPUBSplineInterpolateImageFunction.h.

## GPUSuperclass

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GPUSuperclass

Initial value:
GPUInterpolateImageFunction<TInputImage,
TCoordRep,
BSplineInterpolateImageFunction<TInputImage, TCoordRep, TCoefficientType>>
itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >::GPUInterpolateImageFunction
GPUInterpolateImageFunction()

Definition at line 55 of file itkGPUBSplineInterpolateImageFunction.h.

## Pointer

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::Pointer = SmartPointer<Self>

Definition at line 64 of file itkGPUBSplineInterpolateImageFunction.h.

## Self

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::Self = GPUBSplineInterpolateImageFunction

Standard class typedefs.

Definition at line 54 of file itkGPUBSplineInterpolateImageFunction.h.

## Superclass

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

using itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::Superclass = GPUSuperclass

Definition at line 63 of file itkGPUBSplineInterpolateImageFunction.h.

## Constructor & Destructor Documentation

## GPUBSplineInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GPUBSplineInterpolateImageFunction | ( |  | ) |

protected

## ~GPUBSplineInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::~GPUBSplineInterpolateImageFunction | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

virtual const char * itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >.

## GetGPUCoefficients()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

const GPUCoefficientImagePointer itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GetGPUCoefficients | ( |  | ) | const

Get the GPU coefficient image.

## GetGPUCoefficientsImageBase()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

const GPUDataManagerPointer itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GetGPUCoefficientsImageBase | ( |  | ) | const

Get the GPU coefficient image base.

## GetSourceCode()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

bool itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::GetSourceCode | ( | std::string & | source | ) | const

override protected virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented from itk::GPUInterpolatorBase.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType > |  | ) |

## itkStaticConstMacro()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

ImageDimension constants

## New()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

Pointer itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

void itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetInputImage()

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

void itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::SetInputImage | ( | const TInputImage * | inputData | ) |

override

Set the input image. This must be set by the user.

## Field Documentation

## m_GPUCoefficients

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

GPUCoefficientImagePointer itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::m_GPUCoefficients {}

private

Definition at line 104 of file itkGPUBSplineInterpolateImageFunction.h.

## m_GPUCoefficientsImageBase

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

GPUDataManagerPointer itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::m_GPUCoefficientsImageBase {}

private

Definition at line 105 of file itkGPUBSplineInterpolateImageFunction.h.

## m_Sources

template<typename TInputImage, typename TCoordRep = float, typename TCoefficientType = float>

std::vector<std::string> itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >::m_Sources {}

private

Definition at line 107 of file itkGPUBSplineInterpolateImageFunction.h.

Generated on 1768596610 for elastix by 1.15.0 |